## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNamespace Class Reference

Collaboration diagram for XalanNamespace:

[legend]
List of all members.

## Public Member Functions

- XalanNamespace (MemoryManagerType &theManager)
- XalanNamespace (const XalanDOMString &thePrefix, const XalanDOMString &theURI, MemoryManagerType &theManager)
    Construct a namespace for placement on the result tree namespace stack.
- XalanNamespace (const XalanNamespace &other, MemoryManagerType &theManager)
- ~XalanNamespace ()
- const XalanDOMString & getPrefix () const
    Retrieve the thePrefix for namespace.
- void setPrefix (const XalanDOMString &thePrefix)
    Set the thePrefix for namespace.
- const XalanDOMString & getURI () const
    Retrieve the URI for namespace.
- void setURI (const XalanDOMString &theURI)
    Set the URI for namespace.
- void setURI (const XalanDOMChar *theURI)
    Set the URI for namespace.
- void setURI (const XalanDOMChar *theURI, XalanDOMString::size_type len)
    Set the URI for namespace.
- bool empty () const
- void clear ()
- bool operator== (const XalanNamespace &theRHS) const
    Equality operator.

## Constructor & Destructor Documentation

XalanNamespace::XalanNamespace | ( | MemoryManagerType & | theManager | ) | `[explicit]`

XalanNamespace::XalanNamespace | ( | const XalanDOMString & | thePrefix,
|  | const XalanDOMString & | theURI,
|  | MemoryManagerType & | theManager
| ) |

  | Construct a namespace for placement on the result tree namespace stack. Parameters:
  thePrefix | namespace thePrefix
  theURI | URI of namespace

XalanNamespace::XalanNamespace | ( | const XalanNamespace & | other,
|  | MemoryManagerType & | theManager
| ) |

XalanNamespace::~XalanNamespace | ( |  | ) |

## Member Function Documentation

void XalanNamespace::clear | ( |  | ) |

bool XalanNamespace::empty | ( |  | ) | const

const XalanDOMString& XalanNamespace::getPrefix | ( |  | ) | const

| Retrieve the thePrefix for namespace. Returns: thePrefix string

const XalanDOMString& XalanNamespace::getURI | ( |  | ) | const

| Retrieve the URI for namespace. Returns: URI string

bool XalanNamespace::operator== | ( | const XalanNamespace & | theRHS | ) | const

  | Equality operator. Parameters:
  theRHS | namespace to compare

void XalanNamespace::setPrefix | ( | const XalanDOMString & | thePrefix | ) |

  | Set the thePrefix for namespace. Parameters:
  thePrefix | The new thePrefix value

void XalanNamespace::setURI | ( | const XalanDOMChar * | theURI,
|  | XalanDOMString::size_type | len
| ) |

  | Set the URI for namespace. Parameters:
  theURI | The new theURI value
  len | The length of the theURI

void XalanNamespace::setURI | ( | const XalanDOMChar * | theURI | ) |

  | Set the URI for namespace. Parameters:
  theURI | The new theURI value

void XalanNamespace::setURI | ( | const XalanDOMString & | theURI | ) |

  | Set the URI for namespace. Parameters:
  theURI | The new theURI value

The documentation for this class was generated from the following file:

- XalanNamespace.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.